
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #919

meson: sporadic build failures due to missing aud-dbus.h

November 19, 2019 11:17 - Enne Eziarc

Status: Closed Start date: November 19, 2019

Priority: Minor Due date:  

Assignee: Ariadne Conill % Done: 0%

Category: audtool Estimated time: 0.00 hour

Target version:    

Affects version: 4.0   

Description

With this one-liner I start getting “fatal error: aud-dbus.h: No such file or directory” at -j4 with ccache enabled:

(set -x; for i in {2..10}; do meson setup ./build --wipe && ninja -C build -j$i || break; done)

 

Patch took a while to figure out (I've never used meson before), but it looks correct now.

History

#1 - November 21, 2019 10:44 - Ariadne Conill

Committed, thanks.

#2 - November 21, 2019 10:44 - Ariadne Conill

- Status changed from New to Closed

Files

0001-meson-add-explicit-deps-on-generated-aud-dbus.h.patch 1.25 KBNovember 19, 2019 Enne Eziarc
